/**
 * Copyright (c) 2010-2012 EBM WebSourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
package com.ebmwebsourcing.easycommons.uuid;

import com.eaio.uuid.UUID;

/**
 * @author ofabre
 * 
 */
public class SimpleUUIDGenerator {

    /**
     * <p>
     * Generates an unique identifier. An identifier value has never been
     * returned (existed) before its calculation.
     * </p>
     * 
     * <p>
     * The identifier is composed of one part:
     * </p>
     * <ol>
     * <li>an UUID created according to the DCE Universal Token Identifier
     * specification</li>
     * </ol>
     * <p>
     * This method is threadsafe.
     * </p>
     * 
     * @return A unique identifier
     * 
     */
    public String getNewID() {
        return new UUID().toString();
    }

}
